# test for the need to do BiSSE
library(diversitree)

# read in the data
tree <- read.nexus("../data/proc.data/pruned.trees.no.poly.nex")
dat <- read.csv("../data/proc.data/pruned.chrom.no.poly.csv",as.is=T)

# get the tips morphology and discretize
tip.state <- dat$perc.acro
names(tip.state) <- dat$X
tip.state[tip.state == 1] <- 0
tip.state[tip.state > 0] <- 1


results <- list()

# we will calculate w once to use for all trees
lk <- make.bisse(tree[[50]], states = tip.state, strict = TRUE)
p <- starting.point.bisse(tree[[50]])
tmp <- diversitree::mcmc(lk, x.init = p, w = 1, nsteps = 100)
w <- diff(sapply(tmp[2:7], quantile, c(.05, .95)))

# run the BiSSE model
for(i in 1:100){
  cat(paste("\n",i,"\n"))
  lk <- make.bisse(tree[[i]], states = tip.state, strict = TRUE)
  p <- starting.point.bisse(tree[[i]])
  results[[i]] <- diversitree::mcmc(lk, x.init = p, nsteps = 1000, w = w, 
                                    print.every = 100)
}