# this script runs the version where we have set the binary state
# on being at least 90% one state or another.
library(ape)
# read the trees
chiro <- read.nexus("../data/proc.data/subclade.data/chiro.nex")
prim <- read.nexus("../data/proc.data/subclade.data/prim.nex")

# read the data
p.chiro.chrom <- read.csv("../data/proc.data/subclade.data/chiro.9.csv")
p.prim.chrom <- read.csv("../data/proc.data/subclade.data/prim.9.csv")

library(chromePlus)
####
#### state one is intermediate karyotype

range(p.chiro.chrom[,2])
chroms.chiro <- datatoMatrix(p.chiro.chrom, range=c(5,33), hyper=T)
range(p.prim.chrom[,2])
chroms.prim <- datatoMatrix(p.prim.chrom, range=c(9,41), hyper=T)


library(diversitree)
lk.mk <- make.mkn(chiro, states=chroms.chiro, k=58, strict=F, control=list(method="ode"))
con.lk.mk.chiro<-constrainMkn(data=chroms.chiro, 
                        lik=lk.mk, 
                        hyper=T, 
                        polyploidy=F,
                        verbose=F, 
                        constrain=list(drop.demi=T, drop.poly=T))
chiro.results <- mcmc(con.lk.mk.chiro,
                      lower=rep(0,6),
                      upper=rep(200,6),
                      x.init=runif(min=0,max=5, 6),
                      w=c(11,15,2,6,2,3), nsteps=10000)


results <- list()
for(i in 1:100){
  lk.mk <- make.mkn(prim[[i]], states=chroms.prim, k=66, strict=F, control=list(method="ode"))
  con.lk.mk.prim<-constrainMkn(data=chroms.prim, 
                               lik=lk.mk, 
                               hyper=T, 
                               polyploidy=F,
                               verbose=F, 
                               constrain=list(drop.demi=T, drop.poly=T))
  results[[i]] <- mcmc(con.lk.mk.prim,
                       lower=rep(0,6),
                       upper=rep(200,6), print.every = 250,
                       x.init=runif(min=0,max=5, 6),
                       w=c(11,15,2,6,2,3), nsteps=1000)
}



